<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: DoxygenMatlab/code_snippets/Parameters.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0e13bb94c47f22097ab6d9024c03cb28.html">DoxygenMatlab</a></li><li class="navelem"><a class="el" href="dir_240945e42dcf6c431e8d969a4e6778af.html">code_snippets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Parameters.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a447a833e9e05c9edddfee30c624f2b06"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#a447a833e9e05c9edddfee30c624f2b06">h_physics</a></td></tr>
<tr class="memdesc:a447a833e9e05c9edddfee30c624f2b06"><td class="mdescLeft">&#160;</td><td class="mdescRight">simulation parameter - physics update period  <a href="#a447a833e9e05c9edddfee30c624f2b06">More...</a><br /></td></tr>
<tr class="separator:a447a833e9e05c9edddfee30c624f2b06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee78dfd04bb1abd60c60c46334ce54de"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#aee78dfd04bb1abd60c60c46334ce54de">h_control</a></td></tr>
<tr class="memdesc:aee78dfd04bb1abd60c60c46334ce54de"><td class="mdescLeft">&#160;</td><td class="mdescRight">simulation parameter - control update period  <a href="#aee78dfd04bb1abd60c60c46334ce54de">More...</a><br /></td></tr>
<tr class="separator:aee78dfd04bb1abd60c60c46334ce54de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a481937ec68310913213b38c22b89fcd2"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#a481937ec68310913213b38c22b89fcd2">motor</a></td></tr>
<tr class="memdesc:a481937ec68310913213b38c22b89fcd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for the motor parameters  <a href="#a481937ec68310913213b38c22b89fcd2">More...</a><br /></td></tr>
<tr class="separator:a481937ec68310913213b38c22b89fcd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ac7237569c22cdae1763e84f2d5284b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#a4ac7237569c22cdae1763e84f2d5284b">motor_controller</a></td></tr>
<tr class="memdesc:a4ac7237569c22cdae1763e84f2d5284b"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for the motor controller parameters  <a href="#a4ac7237569c22cdae1763e84f2d5284b">More...</a><br /></td></tr>
<tr class="separator:a4ac7237569c22cdae1763e84f2d5284b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4801ead0cfada9df307f589e57c65cd8"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#a4801ead0cfada9df307f589e57c65cd8">transparency</a></td></tr>
<tr class="memdesc:a4801ead0cfada9df307f589e57c65cd8"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for the transparency parameters  <a href="#a4801ead0cfada9df307f589e57c65cd8">More...</a><br /></td></tr>
<tr class="separator:a4801ead0cfada9df307f589e57c65cd8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a182f4909a999dec0479fac3b0b21f5db"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#a182f4909a999dec0479fac3b0b21f5db">tracking</a></td></tr>
<tr class="memdesc:a182f4909a999dec0479fac3b0b21f5db"><td class="mdescLeft">&#160;</td><td class="mdescRight">structure for the tracking parameters  <a href="#a182f4909a999dec0479fac3b0b21f5db">More...</a><br /></td></tr>
<tr class="separator:a182f4909a999dec0479fac3b0b21f5db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3799ba2c0a6560de0749efa0427052e"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#af3799ba2c0a6560de0749efa0427052e">simulation_output_dir</a></td></tr>
<tr class="memdesc:af3799ba2c0a6560de0749efa0427052e"><td class="mdescLeft">&#160;</td><td class="mdescRight">directory of the simulation output  <a href="#af3799ba2c0a6560de0749efa0427052e">More...</a><br /></td></tr>
<tr class="separator:af3799ba2c0a6560de0749efa0427052e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabd89270bd3e995475bc1a02cf7b14d6"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_doxygen_matlab_2code__snippets_2_parameters_8m.html#aabd89270bd3e995475bc1a02cf7b14d6">config_name</a></td></tr>
<tr class="memdesc:aabd89270bd3e995475bc1a02cf7b14d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">configuration name  <a href="#aabd89270bd3e995475bc1a02cf7b14d6">More...</a><br /></td></tr>
<tr class="separator:aabd89270bd3e995475bc1a02cf7b14d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="aabd89270bd3e995475bc1a02cf7b14d6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aabd89270bd3e995475bc1a02cf7b14d6">&#9670;&nbsp;</a></span>config_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property config_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>configuration name </p>

</div>
</div>
<a id="aee78dfd04bb1abd60c60c46334ce54de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee78dfd04bb1abd60c60c46334ce54de">&#9670;&nbsp;</a></span>h_control</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property h_control</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simulation parameter - control update period </p>

</div>
</div>
<a id="a447a833e9e05c9edddfee30c624f2b06"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a447a833e9e05c9edddfee30c624f2b06">&#9670;&nbsp;</a></span>h_physics</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property h_physics</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>simulation parameter - physics update period </p>

</div>
</div>
<a id="a481937ec68310913213b38c22b89fcd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a481937ec68310913213b38c22b89fcd2">&#9670;&nbsp;</a></span>motor</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property motor</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>structure for the motor parameters </p>

</div>
</div>
<a id="a4ac7237569c22cdae1763e84f2d5284b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ac7237569c22cdae1763e84f2d5284b">&#9670;&nbsp;</a></span>motor_controller</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property motor_controller</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>structure for the motor controller parameters </p>

</div>
</div>
<a id="af3799ba2c0a6560de0749efa0427052e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3799ba2c0a6560de0749efa0427052e">&#9670;&nbsp;</a></span>simulation_output_dir</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property simulation_output_dir</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>directory of the simulation output </p>

</div>
</div>
<a id="a182f4909a999dec0479fac3b0b21f5db"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a182f4909a999dec0479fac3b0b21f5db">&#9670;&nbsp;</a></span>tracking</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property tracking</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>structure for the tracking parameters </p>

</div>
</div>
<a id="a4801ead0cfada9df307f589e57c65cd8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4801ead0cfada9df307f589e57c65cd8">&#9670;&nbsp;</a></span>transparency</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property transparency</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>structure for the transparency parameters </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
